# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSplashScreen Class Reference

KDE splash screen More...

`#include <ksplashscreen.h>`

Inheritance diagram for KSplashScreen:

[legend]
Collaboration diagram for KSplashScreen:

[legend]
List of all members.

## Public Member Functions

| KSplashScreen (const QPixmap &pixmap, WFlags f=0)
| ~KSplashScreen ()

## Detailed Description

KDE splash screen

This class is based on QSplashScreen and exists solely to make splash screens obey KDE's Xinerama settings.

For documentation on how to use the class, see the documentation for QSplashScreen.

Author:
  Chris Howells (howells@kde.org)

Since:
  3.2

Definition at line 41 of file ksplashscreen.h.

## Constructor & Destructor Documentation

KSplashScreen::KSplashScreen | ( | const QPixmap & | pixmap,
|  | WFlags | f = `0`
| ) |

| Constructs a splash screen. Definition at line 28 of file ksplashscreen.cpp. References QRect::height(), QRect::left(), KGlobalSettings::splashScreenDesktopGeometry(), QRect::top(), and QRect::width().

KSplashScreen::~KSplashScreen | ( |  | ) |

| Destructor. Deletes all internal objects. Definition at line 38 of file ksplashscreen.cpp.

The documentation for this class was generated from the following files:

- ksplashscreen.h
- ksplashscreen.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003